Debian Bug report logs - #635957
iceweasel: FTBFS on armhf

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Fri, 29 Jul 2011 19:15:05 UTC

Severity: important

Tags: patch

Found in version iceweasel/5.0-4

Fixed in version iceweasel/5.0-5

Done: Mike Hommey <glandium@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#635957; Package iceweasel. (Fri, 29 Jul 2011 19:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 29 Jul 2011 19:15:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: iceweasel: FTBFS on armhf
Date: Fri, 29 Jul 2011 22:11:57 +0300
[Message part 1 (text/plain, inline)]
Package: iceweasel
Version: 5.0-4
Severity: serious
Tags: patch

According to the build log:

http://buildd.debian-ports.org/status/fetch.php?pkg=iceweasel&arch=armhf&ver=5.0-4&stamp=1311411735

iceweasel 5.0 (and 6.0 in experimental) break on armhf. The reason is
the fix for armel in

porting/Fix-FTBFS-in-xpcom-base-on-armv4t.patch

diff --git a/xpcom/base/nsDebugImpl.cpp b/xpcom/base/nsDebugImpl.cpp
index f26f97b..353c1e4 100644
--- a/xpcom/base/nsDebugImpl.cpp
+++ b/xpcom/base/nsDebugImpl.cpp
@@ -402,7 +402,9 @@ RealBreak()
 #elif defined(__GNUC__) && (defined(__i386__) || defined(__i386) ||
defined(__x86_64__))
    asm("int $3");
 #elif defined(__arm__)
-   asm("BKPT #0");
+   asm(".arch armv5t\n"
+       ".object_arch armv4t\n"
+       "BKPT #0");
 #elif defined(SOLARIS)
 #if defined(__i386__) || defined(__i386) || defined(__x86_64__)
    asm("int $3");

This totally breaks asm generation on newer arm cpus. The attached
patch fixes the build for armhf. Please apply.

Regards

Konstantinos
[iceweasel_armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#635957; Package iceweasel. (Fri, 29 Jul 2011 19:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 29 Jul 2011 19:36:09 GMT) Full text and rfc822 format available.

Message #10 received at 635957@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 635957@bugs.debian.org
Subject: Re: Bug#635957: iceweasel: FTBFS on armhf
Date: Fri, 29 Jul 2011 21:32:41 +0200
severity 635957 normal
kthxbye

On Fri, Jul 29, 2011 at 22:11:57 +0300, Konstantinos Margaritis wrote:

> Package: iceweasel
> Version: 5.0-4
> Severity: serious

No.

Cheers,
Julien




Severity set to 'normal' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 29 Jul 2011 19:36:10 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Fri, 29 Jul 2011 20:33:08 GMT) Full text and rfc822 format available.

Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Sat, 30 Jul 2011 07:51:11 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sat, 30 Jul 2011 07:51:12 GMT) Full text and rfc822 format available.

Message #19 received at 635957-close@bugs.debian.org (full text, mbox):

From: Mike Hommey <glandium@debian.org>
To: 635957-close@bugs.debian.org
Subject: Bug#635957: fixed in iceweasel 5.0-5
Date: Sat, 30 Jul 2011 07:49:34 +0000
Source: iceweasel
Source-Version: 5.0-5

We believe that the bug you reported is fixed in the latest version of
iceweasel, which is due to be installed in the Debian FTP archive:

iceweasel-dbg_5.0-5_amd64.deb
  to main/i/iceweasel/iceweasel-dbg_5.0-5_amd64.deb
iceweasel_5.0-5.debian.tar.gz
  to main/i/iceweasel/iceweasel_5.0-5.debian.tar.gz
iceweasel_5.0-5.dsc
  to main/i/iceweasel/iceweasel_5.0-5.dsc
iceweasel_5.0-5_amd64.deb
  to main/i/iceweasel/iceweasel_5.0-5_amd64.deb
libmozjs-dev_5.0-5_amd64.deb
  to main/i/iceweasel/libmozjs-dev_5.0-5_amd64.deb
libmozjs5d-dbg_5.0-5_amd64.deb
  to main/i/iceweasel/libmozjs5d-dbg_5.0-5_amd64.deb
libmozjs5d_5.0-5_amd64.deb
  to main/i/iceweasel/libmozjs5d_5.0-5_amd64.deb
spidermonkey-bin_5.0-5_amd64.deb
  to main/i/iceweasel/spidermonkey-bin_5.0-5_amd64.deb
xulrunner-5.0-dbg_5.0-5_amd64.deb
  to main/i/iceweasel/xulrunner-5.0-dbg_5.0-5_amd64.deb
xulrunner-5.0_5.0-5_amd64.deb
  to main/i/iceweasel/xulrunner-5.0_5.0-5_amd64.deb
xulrunner-dev_5.0-5_amd64.deb
  to main/i/iceweasel/xulrunner-dev_5.0-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635957@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Hommey <glandium@debian.org> (supplier of updated iceweasel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 30 Jul 2011 08:48:19 +0200
Source: iceweasel
Binary: iceweasel iceweasel-dbg xulrunner-5.0 libmozjs5d libmozjs-dev libmozjs5d-dbg spidermonkey-bin xulrunner-dev xulrunner-5.0-dbg
Architecture: source amd64
Version: 5.0-5
Distribution: unstable
Urgency: low
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Changed-By: Mike Hommey <glandium@debian.org>
Description: 
 iceweasel  - Web browser based on Firefox
 iceweasel-dbg - debugging symbols for iceweasel
 libmozjs-dev - Development files for the Mozilla SpiderMonkey JavaScript library
 libmozjs5d - Mozilla SpiderMonkey JavaScript library
 libmozjs5d-dbg - Development files for the Mozilla SpiderMonkey JavaScript library
 spidermonkey-bin - standalone JavaScript/ECMAScript (ECMA-262) interpreter
 xulrunner-5.0 - XUL + XPCOM application runner
 xulrunner-5.0-dbg - Debugging symbols for the Gecko engine library
 xulrunner-dev - Development files for the Gecko engine library
Closes: 635957
Changes: 
 iceweasel (5.0-5) unstable; urgency=low
 .
   * debian/rules:
     - Don't add -g to CFLAGS, the upstream build system does it.
     - Use -gstabs on ia64, to work around ICE.
   * xpcom/base/nsDebugImpl.cpp: Refresh with the patch from bz#643779 as
     landed updstream. Closes: #635957.
Checksums-Sha1: 
 0789cd8622320f1c0c89a468de20031792267496 2786 iceweasel_5.0-5.dsc
 ca051edaadc98bcd49493d8c2140863674c52548 330277 iceweasel_5.0-5.debian.tar.gz
 89d77369f058f25f575399c4379ba57f36ec060d 1572282 iceweasel_5.0-5_amd64.deb
 f1877c50053c28ad00ab6bf47bc3386fbb09c617 566634 iceweasel-dbg_5.0-5_amd64.deb
 c718d96b5d03f3500293a9011eb761f31a4e7a8c 10004910 xulrunner-5.0_5.0-5_amd64.deb
 ebe4a4157895934119e4c88020632310e858de33 1373450 libmozjs5d_5.0-5_amd64.deb
 3d938bba52102d622ecbb4edd2babc9c73ea4e09 509776 libmozjs-dev_5.0-5_amd64.deb
 dd312943c10f798dad7f146ee736dc214c733ff6 11085842 libmozjs5d-dbg_5.0-5_amd64.deb
 b9a6a017b1a31a6639baddc6dce608a64e2f3128 1375134 spidermonkey-bin_5.0-5_amd64.deb
 cae7d2fa6cf6a734271a33aa7461b7a16c0b71df 4526016 xulrunner-dev_5.0-5_amd64.deb
 8c7b205f6f3e09917ab310334c31cc0b33ad10cd 118840560 xulrunner-5.0-dbg_5.0-5_amd64.deb
Checksums-Sha256: 
 541eafae0f34302a1ee39074681aefa9e1293c65fdd501216a438b1517847536 2786 iceweasel_5.0-5.dsc
 d44faf4bf726f641c76ad6537ff72b8909c36e2862c48517a1dd76ce2439361b 330277 iceweasel_5.0-5.debian.tar.gz
 1990fd305e72ccb8e58eba383c52d4c5df29b26bedb8c71870ff7a60d2f798e6 1572282 iceweasel_5.0-5_amd64.deb
 5f334202d6cc0050db048b13438b145e317952694d5081fe21d0c3f2ae541027 566634 iceweasel-dbg_5.0-5_amd64.deb
 8a404d843d81fb959041c42737354ac9d99ce3aaef280d8ffb8b4e979b78e702 10004910 xulrunner-5.0_5.0-5_amd64.deb
 289dad9b53563f82f9fee280800f95f531588f1e14ddee280e6084485d1f0e03 1373450 libmozjs5d_5.0-5_amd64.deb
 bb92fe00c2b6a628b4f5ce592b8de14269149228e2487069c9b900041a0f3df5 509776 libmozjs-dev_5.0-5_amd64.deb
 eaf47f5ba4f9236c806c65cecbd0dc0afd7be67a1da862f782b534abb5a43992 11085842 libmozjs5d-dbg_5.0-5_amd64.deb
 368123f25d8b74e8c7f34a56712be0a377a999f42e1c8765ee2beb7ec1e25899 1375134 spidermonkey-bin_5.0-5_amd64.deb
 693f6b3f9b79f64ffd44e75440a4b3a31f3300b8a123e7f538980a0737ba170b 4526016 xulrunner-dev_5.0-5_amd64.deb
 c2885e2fcee90c24646f148a72cc08150ecac5f377ed778e28e4cc3f73066d1e 118840560 xulrunner-5.0-dbg_5.0-5_amd64.deb
Files: 
 5405a92ba32222e6724321eb7888fbd0 2786 web optional iceweasel_5.0-5.dsc
 70fe423fba69d43c2b72d5fcfd76e19b 330277 web optional iceweasel_5.0-5.debian.tar.gz
 0b705d37d631f454307b2118354d73d6 1572282 web optional iceweasel_5.0-5_amd64.deb
 441e259f53b2c7e5becfba1b29973aec 566634 debug extra iceweasel-dbg_5.0-5_amd64.deb
 9e3099a12b44b56e74b0826b494a319d 10004910 libs optional xulrunner-5.0_5.0-5_amd64.deb
 fd19e2780b1970a81c1527eb9a9bfb37 1373450 libs optional libmozjs5d_5.0-5_amd64.deb
 13368e3959aace7419487760ce7556cf 509776 libdevel optional libmozjs-dev_5.0-5_amd64.deb
 a50c4800db26704b336e49408b1db75c 11085842 debug extra libmozjs5d-dbg_5.0-5_amd64.deb
 1ab6b14ba4243739785e28f4c9d4ca4d 1375134 interpreters optional spidermonkey-bin_5.0-5_amd64.deb
 326d4921fcf7ab7ee9c563ad63015545 4526016 libdevel optional xulrunner-dev_5.0-5_amd64.deb
 22e437f1b8ee5fb5d09a16b51da38a64 118840560 debug extra xulrunner-5.0-dbg_5.0-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTjOtYuQqoE+mqoxyAQg7Hg//c5hQV1O7/2P2htnpc/KINGOFOPCcdpdf
YFLjHmo/vw2Yv3OpnqI03Jr5nsk+25XU4dJzC5v4vhnnW2thnTPsLhsm/rGJItq4
EjNMaVahRQFCtkWgJeLzX7x/RId5YkiFBOMgKXlOkW4oBawGhpeq43LUTcUQHmQu
4BfUp66PZ6y4brM4ufeQwAyDluoXK09NwH7hM5tH7Jm+5v5YmcvoRWuGCdTAukGI
ZcaoApbeNeUPPoBEcjomD/nLpBouGbXlCJRGGJ+Zu6cVb8Tqo7goGPp+WkjGWNQS
/xA0w/XrQMuh/30B/5xifIP7D4OX6jIPPXXITJsEUoERfiqsJYolrj9KTzRGRI0H
pxNBLWA8UIAXXI64+v5q5x3gHtdedfDVDv1M2k/9MzUBGiAJE/YnYwN9O7tVH8+j
2dEO/xGm14pEnoAcOA6pHoueaoLYt7ajtNIucLT/M7LBpBlF1tvo0NPm96Wgi0uS
cq2VJ+lmSJ5OlaV5JwrWKPcedClKVnEwOFF6AuVWG1Rlw7t39+80m2WHYeudWRwR
N4ydnhYjwKh7kbolY5FUG4bPuDTVnCgBwHUL38249Zjn3/wojSeD4bY4CvX/7uaA
OUmyfW2tasPXcEfnuuhTcAwKGjOuOgChptGO40hJrlxeHIoO+s4UsWQ2dSLMgXJx
OpMEebZiAYQ=
=zP/q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Aug 2011 07:37:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:49:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.